---
title: 简介
---
**目录**

[toc]
>本项目基于RuoYi进行搭建，在若依基础上进行功能构建、数据连接。部署文档请参考RuoYi：[http://www.ruoyi.vip](http://www.ruoyi.vip)

## 一、项目概述
&ensp;&ensp;&ensp;&ensp;此项目为模拟风电场监控项目，模拟一个电厂、六台风机，数据采用随机数实时插入到时序数据库中，再由websocket+quartz从时序数据库中取出推送到界面展示。其中统计信息存放在关系型数据库中。
* 在线演示地址: [http://tenddb.zsis.net:8080](http://tenddb.zsis.net:8080)
* 账号:root1
* 密码:123456
>演示环境没有删除、修改权限权限。

## 二、系统设计
### 2.1 设计目标
 1. 显示机组的运行数据，如机组的瞬时发电功率、累计发电量、发电小时数、风轮及电机的转速和风速、风向等，用风玫瑰图、曲线或图表的形式直观地显示出来。
 2. 显示风电机组的运行状态。
 3. 显示各机组运行过程中发生的故障。在显示故障时，显示出故障的类型及发生时间，以便运行人员及时处理及消除故障，保证风电机组的安全和持续运行。

## 2.2 系统设计原则
 1. 可扩展性—系统的设计上一方面要全面满足当前环境下的需求及未来一段时间的应用需求，另一方面要能方便地进行功能扩展，可灵活增添删减功能模块。
 2. 从技术发展角度和用户需求来看，软件结构本身应能与其它应用系统集成，做到信息共享和资源共享。
 3. 互操作性—支持实时数据库的数据接口，并通过标准关系数据库接口(ODBC，OLE DB)实现与ERP及其它MIS系统的数据集成。平台的开放性保证了今后可从生产管理系统的不同数据模块中裁剪不同的功能，以满足某个特定任务的需要，实现互操作。

## 三、数据设计

 1. 电厂信息
	电厂信息包括电厂编号、风机总数、总装机量等
 2. 风机配置信息
	风机编号、风机品牌、功率、实际功率、所在位置（坐标），所属电厂、启动时间、安装时间、运行状态等。
 3. 风机数据统计
	分别对风机的风速、转速、发电量、功率、偏航次数、偏航角度等进行年月日统计。
 4. 风机故障记录
	风机序号、故障类型、负责人、处理状态、处理时间、描述等，其中故障类型主要分为叶片故障、转向故障、发电机故障、其他故障四种。
 5. 风速风向区间统计信息
	风速、风向由持续时间来统计某时间段内的风速大小和风向角。
 6. 功率区间统计
	功率大小通过持续时间来统计某时间段内的具体功率，并以图形化折线图显示。
 7. 机舱实时信息
	 实时统计机舱数据。风机序号、机舱温度、机舱角度、齿轮箱油温度、低速轴温度、高速轴唯独、齿轮油压力、交流电压、发电机输出及频率、功率因素、瞬时功率等。
	
## 四、菜单设计
### 4.1.主页
### 4.2.全场监控
* 风机矩阵
	以块状矩阵形式排列风机，显示风机概要信息；
	单机概况：风机概况、风机概况。
* 风机列表
以列表形式显示风机信息。
* 全场地图
以位置图形方式显示风机图形
### 4.3.数据统计
* 运行数据
显示风场信息
* 电量统计
以柱状图显示24个月日发电量、月发电量、年发电量
* 风速统计
玫瑰图显示各个方向风速区间玫瑰图
* 风向统计
玫瑰图显示各个方向风向持续时间玫瑰图
* 功率曲线
曲线图显示日月年风场的功率区间变化曲线统计
### 4.4.报表管理
* 电量统计查询（日月年）
* 风速风向统计信息查询（日月年）
* 风机偏航统计查询（日月年）
* 风机报警统计查询（日月年）
	
### 4.5.报警管理
* 报警处理
显示具体风机报警信息，设置处理。可以填写处理信息。
* 警报统计
查询风机警报次数，包括故障次数、故障类型等。

## 五、 数据库设计
### 5.1 物理视图
![](https://fuzui.oss-cn-shenzhen.aliyuncs.com/img/physicalDataModel.png)
### 5.2 E-R图
![](https://fuzui.oss-cn-shenzhen.aliyuncs.com/img/winddataER.png)

## 六、系统功能
### 6.1 完整实时数据展现 
&ensp;&ensp;&ensp;&ensp;该系统采用时序数据库系统实现风电场的所有风电机组、风速、发电量等运行情况的远程监视和接收汇总，使各级部门都能及时的了解风电机组运行状态和发电状况。可实现以下参数的汇总展示：
* 电机参数：包括交流电压、发电机输出、发电机输出频率、发电机功率因数等。
* 气象参数：包括风速、风向等。
* 机组状态参数：包括：风轮转速、发电机转速、发电机线圈温度、发电机前后轴承温度、齿轮箱油温度、齿轮箱前后轴承温度、液压系统油温、机舱温度等。
### 6.2 数据统计与查询
1）历史统计日志查询：根据选择风机及时间段，查询风机的数据统计信息。
2）历史瞬态日志查询：查询选择风机在设定时间段内的历史数据记录。
3）历史故障日志查询，查询当前选择风机在查询时间段内的故障状态。
### 6.3 强大的风势折线与风频玫瑰图
1）实时风速折线图：统计实时风速的变化并由折线图动态展示。
2）风速玫瑰图：统计风速在十六个方向的时间区间及大小变化频率，更加清晰的展示最大最小风速详情。
3）风向玫瑰图：通过时间条件展现十六个方向风的次数。
4）平均风速统计：统计日月年的平均风速大小以及风向次数。

### 6.4 功率展示
1）功率分段折线图：统计特定大小功率持续时长、时间占比等。可清晰查看最大最小功率的数值以及持续时长。
2）平均功率统计：通过日月年查询平均功率。
3）瞬时功率实时折线图：统计实时功率的变化并由折线图动态展示。

## 七、项目结构
```
data     
├── data-common            // 工具类
│       └── annotation                    // 自定义注解
│       └── config                        // 全局配置
│       └── constant                      // 通用常量
│       └── core                          // 核心控制
│       └── enums                         // 通用枚举
│       └── exception                     // 通用异常
│       └── json                          // JSON数据处理
│       └── utils                         // 通用类处理
│       └── xss                           // XSS过滤处理
├── data-framework         // 框架核心
│       └── aspectj                       // 注解实现
│       └── config                        // 系统配置
│       └── datasource                    // 数据权限
│       └── manager                       // 异步处理
│       └── shiro                         // 权限控制
│       └── util                          // 通用工具
│       └── web                           // 前端控制
├── data-biz 				// 业务代码
│       └── domain                       // 实体类
│       └── mapper                        // mapper
│       └── service                   // 服务接口层
│       		└── service                   // 服务实现层
│       └── manager                       // 异步处理
├── data--admin       // 后台服务接口Api
│       └── web                      // 启动
│       		└── config                         // 配置
│       		└── controller                     // 控制层
│       		└── core.config                    // swagger配置
│       		└── encoder                       
│       		└── quartz                         // 定时任务
│       		└── socket                         // websocket
├── data--generator   // 代码生成
├── data--quartz      // 定时任务
├── data--system      // 系统代码

```

## 八、界面设计
![](https://fuzui.oss-cn-shenzhen.aliyuncs.com/img/20191230172639.png)

![](https://fuzui.oss-cn-shenzhen.aliyuncs.com/img/20191230172923.png)

![](https://fuzui.oss-cn-shenzhen.aliyuncs.com/img/20191230173107.png)

![](https://fuzui.oss-cn-shenzhen.aliyuncs.com/img/20191230173207.png)


![](https://fuzui.oss-cn-shenzhen.aliyuncs.com/img/20191230174113.png)

## 九、性能测试
>提供了时序数据库的插入性能测试：单标签多数据和多标签多数据。

![](https://fuzui.oss-cn-shenzhen.aliyuncs.com/img/20191230174524.png)

## 十、说明
本项目引用若依，在若依基础上进行功能构建、数据连接。
**RuoYi**：http://www.ruoyi.vip
>基于SpringBoot的权限管理系统 易读易懂、界面简洁美观。 核心技术采用Spring、MyBatis、Shiro没有任何其它重度依赖。直接运行即可用。

## 十一、数据库安装
### 11.1 jar包
在项目根目录或者TrendDB安装目录下lib文件夹中有一个TrendDB_API.jar，将其添加到自己的本地maven仓库，groupId和artifactId都为TrendDB_API，version为1.0。
在jar所在目录运行如下命令即可
```
mvn install:install-file -Dfile=TrendDB_API.jar -DgroupId=TrendDB_API -DartifactId=TrendDB_API -Dversion=1.0 -Dpackaging=jar
```
### 11.2.实时数据库TrendDB安装
[TrendDB学习版本安装与使用](https://docs.geekera.cn/windpower/databaseInstall)

### 11.3.实时数据
运行data-admin模块下的TrendDBDataInit类初始化数据，前提为数据库安装完成，TrendDB_API.jar也成功放入maven仓库。运行完成启动trenddb_view.exe可查看到标签。
![](https://fuzui.oss-cn-shenzhen.aliyuncs.com/img/20200223182400.png)
## 十二、trendDB介绍
[百度网盘ppt预览、下载](https://pan.baidu.com/s/1Hxk-15Lz22vr4GtMs8iIJg)
<br>
客户端：
![](https://fuzui.oss-cn-shenzhen.aliyuncs.com/img/20200119113250.png)
![](https://fuzui.oss-cn-shenzhen.aliyuncs.com/img/20200119113334.png)

## 十三、联系
* qq群: 826927997
<img src="https://oss.fuzui.net/img/20200629232520.png" style="zoom: 33%;" />
